[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible Arch Linux: fix DUMMY file handling

Holger Levsen holger at layer-acht.org
Fri Dec 1 01:15:56 UTC 2017


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 3f6ae38cc6e34f33d009a1a5188c8dd29fb9c6e0
Author: Holger Levsen <holger at layer-acht.org>
Date:   Fri Dec 1 01:15:33 2017 +0000

    reproducible Arch Linux: fix DUMMY file handling
    
    Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
 bin/reproducible_archlinux_scheduler.sh | 1 +
 bin/reproducible_build_archlinux_pkg.sh | 2 --
 2 files changed, 1 insertion(+), 2 deletions(-)

diff --git a/bin/reproducible_archlinux_scheduler.sh b/bin/reproducible_archlinux_scheduler.sh
index b54c06f..b6dcd7e 100755
--- a/bin/reproducible_archlinux_scheduler.sh
+++ b/bin/reproducible_archlinux_scheduler.sh
@@ -14,6 +14,7 @@ set -e
 
 update_archlinux_repositories() {
 	# every day we check for new archlinux packages in all tested repositories
+	DUMMY=$(mktemp -t archlinux-dummy-XXXXXXXX)
 	touch -d "$(date -d '1 day ago' '+%Y-%m-%d') 00:00 UTC" $DUMMY
 	local NEED_UPDATE=false
 	local REPO
diff --git a/bin/reproducible_build_archlinux_pkg.sh b/bin/reproducible_build_archlinux_pkg.sh
index 399b1da..951f6d9 100755
--- a/bin/reproducible_build_archlinux_pkg.sh
+++ b/bin/reproducible_build_archlinux_pkg.sh
@@ -28,7 +28,6 @@ cleanup_all() {
 		rm $TMPDIR -r
 		echo "$(date -u) - $TMPDIR deleted."
 	fi
-	rm -f $DUMMY > /dev/null || true
 }
 
 handle_remote_error() {
@@ -312,7 +311,6 @@ remote_build() {
 TIMEOUT=12	# maximum time in hours for a single build
 DATE=$(date -u +'%Y-%m-%d %H:%M')
 START=$(date +'%s')
-DUMMY=$(mktemp -t archlinux-dummy-XXXXXXXX)
 trap cleanup_all INT TERM EXIT
 
 #

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list